---
updatedAt: 2026-07-07T17:58:55.000Z
agentTools:
  projectIndex: https://apidocs.verkada.com/llms.txt
---

# Get Alerts

Returns alerts for an organization within a specified time range.

Alert types include camera offline, camera online, tamper, motion, crowd, and Person of Interest alerts.

Motion alerts include whether people and/or vehicles were detected.

Crowd alerts include the threshold set for the camera that detected the crowd and whether people or vehicles were detected.

Person of Interest alerts include the label set for the person.

The Get Events API endpoint can be used to automatically retrieve camera events that are generated within your Command organization. This allows users to integrate their Command events into any 3rd party centralized system that may be used to monitor various systems on a single platform. Through this endpoint, users are also able to create additional logic paths to their notification processes through scripting.

Event types include:

* Camera online
* Camera offline
* Tamper
* People and Vehicle Detections
* Crowd
* Person of Interest
* License Plate of Interest
* Line Crossing
* Loitering

The default time range is an hour from the current time. That said, users can add a <code>start\_time</code> and <code>end\_time</code> to their Get Events request if they are focused on getting events for a broader or more specific time range. If the number of events returned exceeds the <code>page\_size</code> (default of 100 returned items, maximum can be set to 200), then the results will be paginated (see [Pagination](https://apidocs.verkada.com/reference/pagination)).

This API endpoint is built to allow users to retrieve image URLs which are tied to each specific event that is generated. Although the default parameter flag for this functionality if <code>false</code> by default, users can retrieve the image URL by changing the flag to <code>true</code>.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "Notification": {
        "additionalProperties": false,
        "properties": {
          "camera_id": {
            "description": "The camera ID where notification was triggered from.",
            "title": "Camera Id",
            "type": "string"
          },
          "created": {
            "description": "The time when the notification detected.\nFormatted in Unix epoch format.",
            "title": "Created",
            "type": "integer"
          },
          "crowd_threshold": {
            "description": "The crowd size threshold of people/vehicles.\nOnly set for <code>crowd<code> notifications.",
            "title": "Crowd Threshold",
            "type": "integer"
          },
          "image_url": {
            "description": "The link to the thumbnail captured for this notification.",
            "title": "Image Url",
            "type": "string"
          },
          "notification_type": {
            "description": "The type of the notification.\nValues are from <code>person_of_interest</code>, <code>tamper</code>, <code>crowd</code>, <code>motion</code>, <code>camera_offline</code>, <code>camera_online</code>.",
            "title": "Notification Type",
            "type": "string"
          },
          "objects": {
            "description": "The object detected on the notification.\nContains one or both of <code>person</code> or <code>vehicle</code>.\nThis is only set for <code>crowd</code> and <code>motion</code> notifications.",
            "items": {
              "type": "string"
            },
            "title": "Objects",
            "type": "array"
          },
          "person_label": {
            "description": "The label/name of Person of Interest.\nOnly set for <code>person_of_interest</code> notifications.",
            "title": "Person Label",
            "type": "string"
          },
          "video_url": {
            "description": "The link to the video footage captured for this notification.",
            "title": "Video Url",
            "type": "string"
          }
        },
        "title": "Notification",
        "type": "object"
      },
      "NotificationsResponseV1": {
        "additionalProperties": false,
        "properties": {
          "next_page_token": {
            "description": "The pagination token used to fetch the next page of results.",
            "title": "Next Page Token",
            "type": "string"
          },
          "notifications": {
            "description": "Notifications",
            "items": {
              "$ref": "#/components/schemas/Notification"
            },
            "title": "Notifications",
            "type": "array"
          }
        },
        "title": "NotificationsResponseV1",
        "type": "object"
      }
    },
    "securitySchemes": {
      "ApiKey": {
        "description": "Legacy API Key acquired from Command",
        "in": "header",
        "name": "x-api-key",
        "type": "apiKey"
      },
      "ApiToken": {
        "description": "API Token acquired from API Login",
        "in": "header",
        "name": "x-verkada-auth",
        "type": "apiKey"
      }
    }
  },
  "info": {
    "title": "Camera API",
    "version": "v1"
  },
  "openapi": "3.0.3",
  "paths": {
    "/cameras/v1/alerts": {
      "get": {
        "description": "Returns alerts for an organization within a specified time range.\n\nAlert types include camera offline, camera online, tamper, motion, crowd, and Person of Interest alerts.\n\nMotion alerts include whether people and/or vehicles were detected.\n\nCrowd alerts include the threshold set for the camera that detected the crowd and whether people or vehicles were detected.\n\nPerson of Interest alerts include the label set for the person.",
        "operationId": "getNotificationsViewV1",
        "parameters": [
          {
            "in": "query",
            "name": "start_time",
            "required": false,
            "schema": {
              "description": "The start of the time range for requested notifications.\nFormatted as a Unix timestamp in seconds.\nDefault value is an hour ago from the current time.",
              "title": "Start Time",
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "end_time",
            "required": false,
            "schema": {
              "description": "The end of the time range for requested notifications.\nFormatted as a Unix timestamp in seconds.\nDefault value is the current time.",
              "title": "End Time",
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "include_image_url",
            "required": false,
            "schema": {
              "default": false,
              "description": "The flag to include/exclude image url for notification.\nDefaults to false.",
              "title": "Include Image Url",
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "page_token",
            "required": false,
            "schema": {
              "description": "The pagination token used to fetch the next page of results.",
              "title": "Page Token",
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "page_size",
            "required": false,
            "schema": {
              "default": 100,
              "description": "The number of items returned in a single response.\nDefault is 100. Max is 200.",
              "exclusiveMinimum": true,
              "maximum": 200,
              "minimum": 0,
              "title": "Page Size",
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "notification_type",
            "required": false,
            "schema": {
              "description": "One or multiple comma separated values from <code>person_of_interest</code>, <code>license_plate_of_interest</code>, <code>tamper</code>, <code>crowd</code>, <code>motion</code>, <code>camera_offline</code>, <code>camera_online</code>, <code>line_crossing</code>, <code>loitering</code>.",
              "title": "Notification Type",
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotificationsResponseV1"
                }
              }
            },
            "description": "OK"
          }
        },
        "summary": "Get Alerts",
        "tags": [
          "Alerts"
        ]
      }
    }
  },
  "security": [
    {
      "ApiToken": []
    },
    {
      "ApiKey": []
    }
  ],
  "servers": [
    {
      "url": "https://{region}.verkada.com",
      "variables": {
        "region": {
          "default": "api",
          "enum": [
            "api",
            "api.eu",
            "api.au",
            "api.oh"
          ]
        }
      }
    }
  ],
  "x-explorer-enabled": true,
  "x-proxy-enabled": true,
  "x-samples-enabled": true,
  "x-samples-languages": [
    "curl",
    "node",
    "ruby",
    "javascript",
    "python"
  ]
}
```